> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Tenant Settings

> Update tenant settings.



## OpenAPI

````yaml /api-reference/openapi.json patch /api/settings/tenant
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/settings/tenant:
    patch:
      tags:
        - settings
      summary: Patch Tenant Settings
      description: Update tenant settings.
      operationId: patch_tenant_settings_api_settings_tenant_patch
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantSettingsUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSettingsRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TenantSettingsUpdate:
      properties:
        max_total_scans:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Total Scans
        max_concurrent_scans:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Concurrent Scans
        max_queue_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Queue Size
        max_datasets:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Datasets
        max_dataset_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Dataset Size Bytes
        max_total_storage_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Total Storage Bytes
        max_users:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Users
        config:
          anyOf:
            - type: object
            - type: 'null'
          title: Config
      additionalProperties: false
      type: object
      title: TenantSettingsUpdate
      description: Request to update tenant settings.
    TenantSettingsRead:
      properties:
        limits:
          $ref: '#/components/schemas/TenantLimitsRead'
        usage:
          $ref: '#/components/schemas/TenantUsageRead'
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        updated_by:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated By
      type: object
      required:
        - limits
        - usage
      title: TenantSettingsRead
      description: Complete tenant settings with limits and usage.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TenantLimitsRead:
      properties:
        max_total_scans:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Total Scans
        max_concurrent_scans:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Concurrent Scans
          default: 5
        max_queue_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Queue Size
          default: 50
        max_datasets:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Datasets
        max_dataset_size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Dataset Size Bytes
        max_total_storage_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Total Storage Bytes
        max_users:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Users
        config:
          anyOf:
            - type: object
            - type: 'null'
          title: Config
      type: object
      title: TenantLimitsRead
      description: Current tenant limit configuration.
    TenantUsageRead:
      properties:
        total_scans:
          type: integer
          title: Total Scans
          default: 0
        running_scans:
          type: integer
          title: Running Scans
          default: 0
        queued_scans:
          type: integer
          title: Queued Scans
          default: 0
        total_datasets:
          type: integer
          title: Total Datasets
          default: 0
        total_storage_bytes:
          type: integer
          title: Total Storage Bytes
          default: 0
        total_users:
          type: integer
          title: Total Users
          default: 0
      type: object
      title: TenantUsageRead
      description: Current tenant resource usage.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````